%define		mod_name	apparmor
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: AppArmor
Summary(pl.UTF-8):	Moduł Apache'a: AppArmor
Name:		apache-mod_%{mod_name}
Version:	4.0.3
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Networking/Daemons/HTTP
Source0:	https://launchpad.net/apparmor/4.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	d581e358c470cb14f98cb838910ddf9e
Patch0:		apparmor-build.patch
URL:		https://wiki.apparmor.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libapparmor-devel >= 1:%{version}
Requires:	apache(modules-api) = %apache_modules_api
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_apparmor adds support to Apache 2 to provide AppArmor confinement
to individual CGI scripts handled by Apache modules like mod_php and
mod_perl. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
mod_apparmor dodaje do Apache'a 2 obsługę ograniczeń AppArmor dla
poszczególnych skryptów CGI obsługiwanych przez moduły Apache'a takie
jak mod_php czy mod_perl. Ten pakiet jest częścią zestawu narzędzi
zwanych SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch -P0 -p1

%build
%{__make} -C changehat/mod_apparmor mod_%{mod_name}.so \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT

cd changehat/mod_apparmor

install -D mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install -D mod_%{mod_name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/00_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/00_mod_apparmor.conf
%attr(755,root,root) %{_pkglibdir}/mod_apparmor.so
%changelog
* Thu Feb 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_apparmor.git;a=log;h=master

* Thu Feb 27 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 76fdfa8
- Up to 4.0.3

* Wed Jul 31 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> f134f18
- Up to 4.0.2

* Sun Apr 21 2024 Jakub Bogusz <qboosh@pld-linux.org> eb73fdb
- updated to 3.1.7

* Fri Jan 19 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d663e7
- Up to 3.1.6

* Thu Apr 06 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f5866c
- Up to 3.0.9

* Tue Nov 29 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 21b3e01
- Up to 3.0.8.

* Wed Sep 07 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 61fc80d
- Up to 3.0.7.

* Mon Mar 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> cb6fa99
- Up to 3.0.4.

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 3beecc0
- rebuild with separate debuginfo build-ids

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f3792a
- up to 3.0.1

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> dc70304
- updated to 2.13.4

* Tue Jul 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c34cf99
- up to 2.13.3

* Mon Mar 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> fdb3b0e
- up to 2.13.2

* Mon Apr 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9157cdb
- up to 2.13

* Sat Jan 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 09e4bbb
- up to 2.12

* Fri Oct 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 51fd766
- up to 2.11.1

* Sun Apr 02 2017 Jakub Bogusz <qboosh@pld-linux.org> eaf6098
- updated to 2.11.0

* Mon Apr 25 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 16976b0
- up to 2.10.1

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 26fa661
- updated to 2.10

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 87826db
- updated to 2.9.2

